//++++++++++++++++++++++++++++++++++++++++++++++++++
//   Тест вывода на дискретный вывод
// пин 13 - изменение на каждом цикле loop(для AVR328=
// пин 14 - изменение каждые 500ms
// пин 15 - инверсное значение изменения техже 500ms
// пин 16 - событие, когда выполняется запись в пин 14,15 по изменению значения
// пин 13 - еще один вывод - тоже, что и на пине 14
// Результаты замеров для AVR328 (Nano,Uno):
//  1) цикл loop()=21.2 mcs;
// Вывод - запись на пин через функцию RT_HW_Board.pinDigitalWriteID составляет 2.6mcs (условно конечно).
//++++++++++++++++++++++++++++++++++++++++++++++++++
#include "RT_HW_Main.h"
RT_HW_PIN_DIGITAL_ID  Control,  Led1,  Led2, Led3, Led4; //--Объекты для работы с пинами 
uint32_t timeWork; bool x1,x2; //--Рабочие буферы
//--------------------------------------------------
void setup() {}
//--------------------------------------------------
void loop() {
if(!Led2.init) {Led2.dOutInv=true;} //--До первого обращения к пину можно изменить параметры 
                                    // id.dOutInv -инверсия (default=0); id.dOutAll -вывод при каждом обращении (default=0); 
//---------------------------------------
x1=!x1;
if(RT_HW_Time.eventMillis(timeWork,500)){x2=!x2;};  // x2 меняет значение каждые 500ms
RT_HW_Board.pinDigitalWriteID(Control,14,x1);       // Изменение каждый цикл loop();      
RT_HW_Board.pinDigitalWriteID(Led1,   15,x2);
RT_HW_Board.pinDigitalWriteID(Led2,   16,x2);
RT_HW_Board.pinDigitalWriteID(Led3,   17,Led2.dOutRun); //--Выводит события, когда осуществляется вывод в Led2
RT_HW_Board.pinDigitalWriteID(Led4,   13,x2);           
}
