/****************************************************
*     Определение типа контроллера
*     Pезультаты замеров для AVR328 (Nano,Uno):
//    цикл loop()=10.2 mcs;
*****************************************************/
//---- ПОДКЛЮЧЕНИЕ БИБЛИОТЕК
#include "RT_HW_Main.h"
bool bl=false;
RT_HW_PIN_DIGITAL_ID  idControl;  //--Объект для ускоренной работы с пином
uint32_t timeWork;                //--рабочий регистр
uint16_t period;                  
//--------------------------------------------------
void setup() {}
//==================================================
void loop() {
timeWork=micros();
bl=!bl;
//--Вывод на контрольный светодиод сигнала живучести системы (bl)
RT_HW_Board.pinDigitalWriteID(idControl,RT_HW_Board.ledControl,bl); 
//--Вывод на консоль параметров - размещаем в конце для корректного измерения периода системы"
if(!RT_HW_String.console){
  period=micros()-timeWork;           //--Вычисление периода системы - логический анализатор более точно измеряет
  RT_HW_String.consoleBegin(115200);  //--Инциализация консоли
     RT_HW_String.consoleString(RT_HW_Board.name,       "Имя платы=");
     RT_HW_String.consoleInt16 (RT_HW_Board.code,       "Код платы=");
     RT_HW_String.consoleInt16 (RT_HW_Board.ledControl, "Пин контрольного светодиода=");
     RT_HW_String.consoleInt16 (RT_HW_Board.digitalPins,"Кол-во дискретных пинов=");
     RT_HW_String.consoleInt16 (RT_HW_Board.analogPins, "Кол-во аналоговых пинов=");
     RT_HW_String.consoleInt16 (period,                 "Время цикла (mcs)=");
     RT_HW_String.consoleString("--- *** Завершение вывода данных *** ----");
    }
} //--end loop()
