#include "RT_HW_Main.h"
//                           RT_HW_14_String.cpp
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//						КОНСТРУКТОР
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
RT_HW_CONSOLE:: RT_HW_CONSOLE(){init=ok=false;};

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// 					ИНИЦИАЛИЗАЦИЯ КОНСОЛИ
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool	 RT_HW_CONSOLE:: begin(uint32_t speed){
switch(step){default:
	case 0: Serial.begin(speed);step++;
	case 1: if(!Serial) break;		
			ok=true;			step++; 
	case 2: return 1;
}return 0;};// end initConsole()
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//				УСТАНОВКА ПАРАМЕТРОВ ID
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool	 RT_HW_CONSOLE:: setID  (RT_HW_CONSOLE_ID &id, char mode, char change, String head, char finish, char cr){
id.init=true; 
id.run=id.head=id.finish=id.cr=id.change=false;  
															       id.mode   =mode;			
						if((change       =='@') || (change=='Y'))  id.change =true;
id.txtHead=head; 		if(id.txtHead    !="@") 				   id.head   =true; 
						if((cr           =='@') || (cr    =='Y'))  id.cr     =true;
id.signFinish=finish;	if(id.signFinish !='@')				       id.change =true;
															       id.point  =1; 
return 1;};// end setID 

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//				ВЫВОД НА КОНСОЛЬ FLOAT
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool	 RT_HW_CONSOLE:: print_int16 (RT_HW_CONSOLE_ID &id, int16_t val){
	if(!id.run) return 0;	//--Выход, если нет команды печати сообщения
	if(!ok) 	return 0;	//--Выход, если консоль не готова
	id.run=0;
	if(id.head) Serial.print(id.txtHead);				//--Вывод (по условию) заголовка сообщения
	switch(id.mode){default:							//--Вывод сообщения заданного формата
		case '@':													break;  //--Нет вывода;
		case 'D': Serial.print(val);								break;	//--
		case 'H': Serial.print(val,HEX);							break;
		case 'B': Serial.print(val,BIN);							break;
		case 'F': Serial.print(val,1);								break;
		case 'T': if(val<10) Serial.print('0'); Serial.print(val);	break;
		case '1': Serial.print(val/float(10),1);					break;
		case '2': Serial.print(val/float(100),2);					break;
		case '3': Serial.print(val/float(1000),3);  				break;}
	if(id.finish) Serial.print(id.signFinish);			//--Вывод (по условию) завершающего символа
	if(id.cr)	  Serial.print("\n");					//--Вывод (по условию) перевода строки.
return 1;};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//				ВЫВОД НА КОНСОЛЬ FLOAT
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool	 RT_HW_CONSOLE:: print_float (RT_HW_CONSOLE_ID &id, float val){
	if(!id.run) return 0;	//--Выход, если нет команды печати сообщения
	if(!ok) 	return 0;	//--Выход, если консоль не готова
	id.run=0;
	if(id.head)      Serial.print(id.txtHead);				//--Вывод (по условию) заголовка сообщения
	if(id.mode!='@') Serial.print(val,id.point);				//--Вывод значения 	
	if(id.finish)    Serial.print(id.signFinish);			//--Вывод (по условию) завершающего символа
	if(id.cr)	     Serial.print("\n");					//--Вывод (по условию) перевода строки.
return 1;};
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//				ВЫВОД НА КОНСОЛЬ СТРОКИ
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool	 RT_HW_CONSOLE:: print_String (RT_HW_CONSOLE_ID &id, String val){
	if(!id.run) return 0;	//--Выход, если нет команды печати сообщения
	if(!ok) 	return 0;	//--Выход, если консоль не готова
	id.run=0;
	if(id.head)      Serial.print(id.txtHead);				//--Вывод (по условию) заголовка сообщения
	if(id.mode!='@') Serial.print(val);				//--Вывод значения 	
	if(id.finish)    Serial.print(id.signFinish);			//--Вывод (по условию) завершающего символа
	if(id.cr)	     Serial.print("\n");					//--Вывод (по условию) перевода строки.
return 1;};	
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//				ВЫВОД НА КОНСОЛЬ СИМВОЛА
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
bool	 RT_HW_CONSOLE:: print_char (RT_HW_CONSOLE_ID &id, char val){
	if(!id.run) return 0;	//--Выход, если нет команды печати сообщения
	if(!ok) 	return 0;	//--Выход, если консоль не готова
	id.run=0;
	if(id.head)      Serial.print(id.txtHead);				//--Вывод (по условию) заголовка сообщения
	                 Serial.print(val);						//--Вывод значения 	
	if(id.finish)    Serial.print(id.signFinish);			//--Вывод (по условию) завершающего символа
	if(id.cr)	     Serial.print("\n");					//--Вывод (по условию) перевода строки.
return 1;};		
//--------------------------------------------------------------------------------------- 
//                           СОЗДАНИЕ ОБЪЕКТА 
//---------------------------------------------------------------------------------------
RT_HW_CONSOLE  RT_HW_Console;
